Jump to content


- - - - -

Problems With Gpl 1.3


  • Please log in to reply
19 replies to this topic

#1 db312

db312

    Always in the lead

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 148 posts
  • Gender:Male
  • Location:switzerland
  • Interests:Just a fan of Gpl since 2008, fan of plane sim too (Il2-Cliffs of dover, Rise of flight) and in love with music
  • Sim interest:GPL

Posted Dec 12 2016 - 09:40 AM

Sorry to disturb for a problem already discussed and well documented but I try since month to do a "clean" install without success...

I've read with attention all the topics concerning the version 1.3 but didn't find a solution...

I use an Original CD and the installer 1.08 (following step by step the guide 1.5)

Basically everything seems ok with GPL v1.2.0.2 except that I need to modify the AI (they brake really too late...) and in the mirrors (cockpit view) when the car behind me is very near, the wheel in the cockpit of that car became a square red, grey, black... it depends of the car...

With GPL v1.3... the AI starts very very slowly, is not fast as the version 1.2.0.2 in straight line, and breaks so late in the curve that I'm pushed away at each turns... Even if I try to modify the "gpl_ai", they continue to start very slowly and to be weird...

If someone have an idea... It would be really appreciated because I don't understand what I do wrong...

Edited by db312, Dec 12 2016 - 10:30 AM.


#2 davef

davef

    Denny Hulme

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 2,056 posts
  • Gender:Male
  • Interests:Auto Racing
  • Sim interest:GPL

Posted Dec 12 2016 - 10:19 PM

Hi Denis :)

Maybe try using the other beta installer 1.04 version

https://gplps.wordpr...-gpl-installer/

I did a fresh GPL install last Spring using it and it ran fine for me.

Edited by davef, Dec 12 2016 - 10:22 PM.


#3 db312

db312

    Always in the lead

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 148 posts
  • Gender:Male
  • Location:switzerland
  • Interests:Just a fan of Gpl since 2008, fan of plane sim too (Il2-Cliffs of dover, Rise of flight) and in love with music
  • Sim interest:GPL

Posted Dec 13 2016 - 10:03 AM

Thank you so much for answering Davef... :cheers:

But I try this one too with the same result...

:tumbleweed:

#4 dbell84

dbell84

    Dan Gurney For President

  • Supporter
  • PipPipPipPipPipPipPipPipPipPip
  • 914 posts
  • Gender:Male
  • Location:20 minutes from Road Atlanta
  • Interests:Whatever
  • Sim interest:GPL

Posted Dec 13 2016 - 11:08 AM

Are you using the 60 fps patch?  AI only works normally in 36 fps.

Also, if you're trying to make AI changes in GEM+ for the original 67's, it won't work.  That has to be done manually.

Edited by dbell84, Dec 13 2016 - 11:11 AM.


#5 Bob Simpson

Bob Simpson

    The answer man

  • Moderator
  • 2,245 posts
  • Gender:Male
  • Location:Ottawa
  • Sim interest:GPL

Posted Dec 13 2016 - 12:54 PM

I don’t understand why you’d use the GPL v1.3 (gplc67.exe). But maybe I’m missing something.

Once that 1.3 patch is applied, the gpl.exe is patched and that’s v.1.2.0.2.  Using GEM will update the gpl.exe and the gplc67.exe, as well as all the mod exes, to the latest versions

If you installed using the beta installer v.1.08, that patch is already included.

If you want to use gplc67.exe directly, just delete gplc67.exe and start and exit GEM and a new gplc67.exe is created which should fix your problem.

#6 Pete Gaimari

Pete Gaimari

    Jim Clark

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 3,281 posts
  • Gender:Male
  • Location:Colorado
  • Interests:Racing and Muzzleloader Hunting
  • Sim interest:GPL

Posted Dec 13 2016 - 02:38 PM

That can't be true. If I start GPL with 1.2.0.2 I have no AA at all. When starting with 1.3 it's all normal. That's why I couldn't race with oAo online anymore. VROC uses 1.2.0.2. No way can I drive without AA.

#7 ginetto

ginetto

    GPL track editor

  • Administrators
  • PipPipPipPipPipPipPipPipPipPip
  • 2,631 posts
  • Gender:Male
  • Location:Lombardia, Italia
  • Interests:Mountain
  • Sim interest:GPL

Posted Dec 13 2016 - 02:55 PM

But v. 1.3 it's 1.2.0.2 in game.
Has been called 1.3 for the fact that has the option to run long tracks, has the capability to use more than 64 tracks and stuff like that; also some of  the AI characteristic in the Physics has been changed making them more realistic according to the author.
The important part of the Physics though, tires aerodynamics and engines are the same.

GEM+ applies these changes to gpl.exe and call it gplc67.exe but when you enter in GPL you see the writing version 1.2.0.2.

To play with any mod in VROC you just rename the file of the mod you want to play (in this case gplc67.exe) into GPL.exe and Vrock will let you race with it.

#8 Pete Gaimari

Pete Gaimari

    Jim Clark

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 3,281 posts
  • Gender:Male
  • Location:Colorado
  • Interests:Racing and Muzzleloader Hunting
  • Sim interest:GPL

Posted Dec 13 2016 - 03:08 PM

I'm not using GEM at the moment. The icon on my desktop says 1.3. It's the same as starting GPL with gplc67.  If I start GPl with the gpl icon in the GPL folder or 1.2.0.2 in File Exployer I get no AA. If I try to race on VROC I get no AA which tells me it uses the gpl exe  and not the gplc67 exe.

What's wrong?

#9 ginetto

ginetto

    GPL track editor

  • Administrators
  • PipPipPipPipPipPipPipPipPipPip
  • 2,631 posts
  • Gender:Male
  • Location:Lombardia, Italia
  • Interests:Mountain
  • Sim interest:GPL

Posted Dec 14 2016 - 01:52 AM

Nothing is wrong, you just need to make a copy of your gpl.exe to store as a backup.
Then make a copy of your gplc67.exe and call it gpl.exe.
This way you can join VROC with the AA working. :)

Just remember that if you will use GEM+, you NEED to put back the original gpl.exe before to run GEM+ since this uses it as the base for all the physics changes to the MODs. Everytime you turn on GEM+ it will rebuild the MODS exes based on the gpl.exe.

hope is clear, let me know! :wave:

#10 Pete Gaimari

Pete Gaimari

    Jim Clark

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 3,281 posts
  • Gender:Male
  • Location:Colorado
  • Interests:Racing and Muzzleloader Hunting
  • Sim interest:GPL

Posted Dec 14 2016 - 07:33 PM

I believe I tried that a couple of years ago and it didn't make a difference. I'll try again.

#11 Pete Gaimari

Pete Gaimari

    Jim Clark

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 3,281 posts
  • Gender:Male
  • Location:Colorado
  • Interests:Racing and Muzzleloader Hunting
  • Sim interest:GPL

Posted Dec 14 2016 - 07:41 PM

I just tried it and it doesn't work. I don't have to go into VROC to check it. I can just start GPL with the gpl.exe and I have no AA. Even though it's the gplc67.exe renamed to gpl.exe.

Doesn't make sense to me.

#12 db312

db312

    Always in the lead

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 148 posts
  • Gender:Male
  • Location:switzerland
  • Interests:Just a fan of Gpl since 2008, fan of plane sim too (Il2-Cliffs of dover, Rise of flight) and in love with music
  • Sim interest:GPL

Posted Dec 15 2016 - 02:00 AM

View PostBob Simpson, on Dec 13 2016 - 12:54 PM, said:

I don’t understand why you’d use the GPL v1.3 (gplc67.exe). But maybe I’m missing something.

Once that 1.3 patch is applied, the gpl.exe is patched and that’s v.1.2.0.2.  Using GEM will update the gpl.exe and the gplc67.exe, as well as all the mod exes, to the latest versions

If you installed using the beta installer v.1.08, that patch is already included.

If you want to use gplc67.exe directly, just delete gplc67.exe and start and exit GEM and a new gplc67.exe is created which should fix your problem.

Thank you so much to answer Bob,

As I said, the problem is not that I want to play GPL 1.3 or 1.2.0.2 or whatever... There is a huge difference when I use GPL patched 1.3 and even if I install GEM+ and delete all gpl.exe and rebuilt it with GEM, it makes no difference at all... I thought I was doing something wrong when patching, and I try the installers beta 1.08 and 1.04 with the same result... The cars are extremely tricky to drive, not funny at all, and the AI is very weird...

So, why I don't use GPL NOT patched 1.3 ? Because I would like to try all your wonderful Mods... and have a car which is drivable...

Anyway, thank you for having answered Bob, I suppose I have a problem with the operating system (Vista) because I redone an installation without installer beta 1.08 and the cars remains extremely tricky to drive... I don't find again my beloved GPL...

#13 Pavel

Pavel

    Bruce McLaren

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 785 posts
  • Gender:Male
  • Location:Minsk, Belarus
  • Interests:Racing, Simracing, Music
  • Sim interest:GPL

Posted Dec 15 2016 - 04:39 AM

View Postdb312, on Dec 15 2016 - 02:00 AM, said:

As I said, the problem is not that I want to play GPL 1.3 or 1.2.0.2 or whatever... There is a huge difference when I use GPL patched 1.3 and even if I install GEM+ and delete all gpl.exe and rebuilt it with GEM, it makes no difference at all... I thought I was doing something wrong when patching, and I try the installers beta 1.08 and 1.04 with the same result... The cars are extremely tricky to drive, not funny at all, and the AI is very weird...
That's strange. Can you please post GEM+ debug file here?

#14 db312

db312

    Always in the lead

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 148 posts
  • Gender:Male
  • Location:switzerland
  • Interests:Just a fan of Gpl since 2008, fan of plane sim too (Il2-Cliffs of dover, Rise of flight) and in love with music
  • Sim interest:GPL

Posted Dec 15 2016 - 07:40 AM

View PostPavel, on Dec 15 2016 - 04:39 AM, said:

View Postdb312, on Dec 15 2016 - 02:00 AM, said:

As I said, the problem is not that I want to play GPL 1.3 or 1.2.0.2 or whatever... There is a huge difference when I use GPL patched 1.3 and even if I install GEM+ and delete all gpl.exe and rebuilt it with GEM, it makes no difference at all... I thought I was doing something wrong when patching, and I try the installers beta 1.08 and 1.04 with the same result... The cars are extremely tricky to drive, not funny at all, and the AI is very weird...
That's strange. Can you please post GEM+ debug file here?
Thank you very much Davef !
This is effectively very strange... I tried a couple of years ago to install the patch 1.3 with that problem and finally turn back to a "standard" version, that means only updated with the patch All-In-One 2.3, and I use Gem+2.5.32 with absolutely no problem.
I tried too the Mod66 which was absolutely perfect, add the "1966_Mod_PATCH_v2.0" and found again exactly the same problem... Even after rebuilding the gpl.exe with GEM+... I'm quite sure that I'm doing something wrong, but I don't know what... The worse now is even after installing manually GPL, the cars are still horribly tricky... That's why I think there is a problem with my operating system, I suppose there are some files which are interfering... I found a lot of GPL's files in the system32 and I used CCleaner to eliminate what was unused... But it doesn't change anything... :think:
Here it is...Attached File  Debug.zip   8.88K   3 downloads

Thank you by advance !

Edited by db312, Dec 15 2016 - 10:30 AM.


#15 ginetto

ginetto

    GPL track editor

  • Administrators
  • PipPipPipPipPipPipPipPipPipPip
  • 2,631 posts
  • Gender:Male
  • Location:Lombardia, Italia
  • Interests:Mountain
  • Sim interest:GPL

Posted Dec 16 2016 - 05:53 AM

View Postdb312, on Dec 15 2016 - 07:40 AM, said:

... I found a lot of GPL's files in the system32 and I used CCleaner to eliminate what was unused... But it doesn't change anything... :think:Attachment Debug.zip

Thank you by advance !
That is really strange; you should have none GPL files outside GPL folder.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

Sim Racing Links